## pacemaker 2.0.4

=== debian/changelog ===
pacemaker (2.0.4-2ubuntu3.2) groovy; urgency=medium

  * d/rules: Rebuild with QB_KILL_ATTRIBUTE_SECTION to overcome a problem in
    libqb (LP: #1915828)

 -- Dariusz Gadomski <dgadomski@ubuntu.com>  Thu, 04 Mar 2021 10:52:40 +0100

pacemaker (2.0.4-2ubuntu3.1) groovy-security; urgency=medium

  * SECURITY UPDATE: ACL restrictions bypass
    - debian/patches/CVE-2020-25654-*.patch: restrict IPC connections.
    - CVE-2020-25654

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 29 Oct 2020 08:48:48 -0400

pacemaker (2.0.4-2ubuntu3) groovy; urgency=medium

  * Post 2.0.4 features: on-fail=demote & no-quorum-policy=demote
    (LP: #1896223). Added debian/patches/ubuntu/lp1896223-*:
    - [c4429d86e] Log: scheduler: downgrade "active on" messages to trace
    - [01c5ec67e] Low: scheduler: match initial no-quorum-policy struct value
    - [015b5c012] Doc: Pacemaker Explained: document no-quorum-policy=demote
    - [5d809e136] Test: scheduler: add regression test
    - [b1ae35938] Feature: scheduler: support "demote" choice
    - [0b6834453] Refactor: scheduler: functionize checking quorum policy
    - [d4b9117e7] Doc: Pacemaker Explained: correct on-fail default
    - [204961e95] Doc: Pacemaker Explained: document new on-fail="demote"
    - [d29433ea5] Test: scheduler: add regression tests for on-fail="demote"
    - [874f75e0f] Feature: scheduler: new on-fail="demote" recovery policy
    - [2f1e2df1f] Feature: xml: add on-fail="demote" option to resources
    - [fd55a6660] Doc: libpacemaker: improve comments for resource state
    - [98c3b649f] Log: libpacemaker: check for re-promotes specifically
    - [ff6aebecf] Doc: libpacemaker: improve comments when logging actions
    - [f2d244bc4] Test: scheduler: test forcing a restart instead of reload
    - [a4d6a20a9] Low: libpacemaker: don't force stop when skipping reload
    - [8dceba792] Refactor: scheduler: use more appropriate types in a couple
    - [ef246ff05] Fix: scheduler: disallow on-fail=stop for stop operations
    - [f1f71b3f3] Refactor: scheduler: functionize comparing on-fail values

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 22 Sep 2020 17:51:03 +0000

pacemaker (2.0.4-2ubuntu2) groovy; urgency=medium

  * debian/rules: Fix FTBFS in ppc64el: gcc10 related warnings as errors
  * Post 2.0.04 release fixes backported to Ubuntu (LP: #1895883)
    debian/patches/ubuntu/lp1895883-*:
    - [055d7e4e] Low: libcib: Fix building if the gnutls library is not
    - [67174c53] Build: configure: Conditionalize check for $PYTHON.
    - [47c3e06b] Fix: libpacemaker: Don't allow a potential NULL in a format
    - [ea7469cb] Low: resources: don't check host-specific conditions in
    - [7056ae08] Fix: libcrmcommon: Set out->priv to NULL in free_priv.
    - [37791529] Fix: libcrmcommon: Make reset and finish work more similarly.
    - [b655c039] Fix: tools: Add the http-equiv header to crm_mon at the right
    - [0f8e4ca5] Fix: tools, libcrmcommon: Reopen the output dest on reset.
    - [24dd01c3] Fix: cts: Use a different grep in building the cts-cli
    - [36cf9284] Fix: cts: Use --node instead of --host as crm_resource
    - [5c111adf] Fix: libpe_status: Destroy hash table after use
    - [dc341923] cluster: Close corosync handles when they disconnect
    - [3a88b2b6] Refactor: tools: rename function in cibsecret to be more

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Thu, 17 Sep 2020 21:19:52 +0000

pacemaker (2.0.4-2ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1886546). Remaining changes:
    - Dropped: debian/patches/pacemaker_is_partof_corosync.patch:
      Disagreement among Debian and Ubuntu about service dependencies.
    - d/control: Demote fence-agents to Suggests, avoiding main inclusion.
    - Skip autopkgtest for unprivileged containers: (LP #1828228)
      + d/t/control: mark pacemaker test as skippable
      + d/t/pacemaker: skip if memlock can't be set to unlimited by root
    - Make crmsh the default management tool for now (LP #1862947)
    - d/rules: Forcibly switch from ftime to clock_gettime, since building
      with ftime now results in deprecation errors
  * Dropped (from Ubuntu):
    - Post 2.0.3 release fixes backported to Ubuntu (LP #1870235)
      debian/patches/ubuntu-2.0.3-fixes/:
      - lp1870235-0a8e789f9-Fix-libpengine-Options-should-be-uint.patch
      - lp1870235-186042bcb-Ref-libcrmservice-SIGCHLD-handling.patch
      - lp1870235-28bfd00e9-Low-libcrmservice-handle-child-wait-errors.patch
      - lp1870235-426f06cc0-Fix-tools-Fix-curses_indented_printf.patch
      - lp1870235-4f5207a28-Fix-tools-Correct-crm_mon-man-page.patch
      - lp1870235-5afe84e45-Fix-libstonithd-validate-arg-non-const.patch
      - lp1870235-c98987824-Fix-iso8601-Fix-crm_time_parse_offset.patch
      - lp1870235-dec326391-Log-libcrmcommon-correct-log-line-length.patch
      - lp1870235-e35908c79-Log-libcrmservice-impr-msgs-wait-child.patch
      - lp1870235-eaaa20949-Fix-libstonithd-tools-Fix-arg-stonith-event.patch
      - lp1870235-f0fe45806-Fix-scheduler-cluster-maint-mode-true.patch
      [in Debian Pacemaker-2.0.4]

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 06 Jul 2020 19:04:45 +0000

pacemaker (2.0.4-2) unstable; urgency=medium

  * [a0fdbb5] The special libqb symbols aren't present on PowerPC architectures

 -- Ferenc Wágner <wferi@debian.org>  Mon, 22 Jun 2020 18:08:57 +0200

pacemaker (2.0.4-1) unstable; urgency=medium

  [ Rafael David Tinoco ]
  * [30838df] Omit pacemaker-resource-agents on Ubuntu/i386

  [ Ferenc Wágner ]
  * [bc43eed] New upstream release (2.0.4) (Closes: #959593)
  * [a4e8629] Drop upstreamed patch, refresh the rest
  * [42ee58f] Enable CIB secrets and ship the cibsecret tool
  * [13be83d] Update Standards-Version to 4.5.0 (no changes required)
  * [90d9610] New patch: libpacemaker calls into libstonithd directly
  * [61500a3] The obsolete ACL document was removed altogether.


=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Ensure that we link against all needed libraries (cf. Policy 10.2)
# This needs adding libraries to libpengine_la_LIBADD
# Not upstreamed, see https://github.com/ClusterLabs/pacemaker/pull/800
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs

# Ubuntu/i386 shrank into a compatibility layer not carrying the
# dependencies of some of our binary packages (#948379):
ifeq ($(shell dpkg-vendor --query vendor)/$(DEB_HOST_ARCH), Ubuntu/i386)
    UBUNTU_EXCLUDES = \
	-Npacemaker \
	-Npacemaker-cli-utils \
	-Npacemaker-remote \
	-Npacemaker-resource-agents
endif

# https://bugs.launchpad.net/bugs/1915828
#
# Programs using libqb logging exit due to failed assertion on qb log init.
#
# The libqb docs do contain two suggestions to possibly work around this bug,
# specifically using either -l:libqb.so.0 or -DQB_KILL_ATTRIBUTE_SECTION, or
# both. Either or both approaches do help with the simple test case, but more
# testing is needed that actually exercises the log functionality to make sure
# nothing else breaks.
CFLAGS = -DQB_KILL_ATTRIBUTE_SECTION

# ftime causes deprecation errors now, but the clock_gettime replacement is
# disabled by default in 2.0.3. Enable it.
CPPFLAGS = -UPCMK_TIME_EMERGENCY_CGT

# Fix gcc10 warnings as errors while upstream doesn't catch up
export DEB_CFLAGS_PREPEND=-Wno-error=format-overflow=
export DEB_CXXFLAGS_PREPEND=${DEB_CFLAGS_PREPEND}

%:
	dh $@ --with python3 $(UBUNTU_EXCLUDES)

# Explicit BASH_PATH makes build reproducible on merged-usr vs non-merged:
override_dh_auto_configure:
	dh_auto_configure -- --disable-static \
		BASH_PATH=/bin/bash \
		PYTHON=/usr/bin/python3 \
		--with-brand=clusterlabs \
		--with-cibsecrets \
		--with-configdir=/etc/default \
		--libexecdir=/usr/lib
# because the daemon executables and Nagios plugins don't need multiarch paths

override_dh_auto_build-indep:
	dh_auto_build
	$(MAKE) -C doc doxygen
	# the Doxygen output isn't installed, we can cleanup immediately:
	rm doc/api/html/*.md5

# make check does not check the compiled software, but rebuilds everything
# with clang.  This takes a lot of time and does not help us at all.  Skip.
override_dh_auto_test:

override_dh_install:
	rm -r	debian/tmp/usr/lib/*/lib*.la \
		debian/tmp/usr/share/doc/pacemaker/COPYING \
		debian/tmp/usr/share/doc/pacemaker/README.markdown \
		debian/tmp/usr/share/doc/pacemaker/licenses
	dh_install

override_dh_installdocs:
	dh_installdocs -A README.markdown

override_dh_installinit:
# Upstream ships the pacemaker and pacemaker-remote init files,
# so we have to force the maintainer script modifications
	dh_installinit --onlyscripts --no-restart-after-upgrade -p pacemaker
	dh_installinit --onlyscripts --no-restart-after-upgrade -p pacemaker-remote --name=pacemaker_remote

override_dh_installsystemd:
	dh_installsystemd --no-restart-after-upgrade

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/api

## pacemaker 2.0.5

=== maint/mocked/Makefile ===
#
# Copyright 2019 the Pacemaker project contributors
#
# The version control history for this file may have further details.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without any warranty.
#

#BASED_LDFLAGS = $$(pkgconf -libs glib-2.0) \
#	$$(pkgconf -libs libxml-2.0) \
#	$$(pkgconf -libs libqb) \
#	$$(pkgconf -libs pacemaker)
BASED_LDFLAGS = $$(pkgconf -libs glib-2.0) \
	$$(pkgconf -libs libxml-2.0) \
	$$(pkgconf -libs libqb) \
	-Wl,-rpath=$(CURDIR)/../../lib/common/.libs \
	  -L../../lib/common/.libs -lcrmcommon \
	  -L../../lib/pacemaker/.libs -lpacemaker

BASED_CPPFLAGS = $$(pkgconf -cflags glib-2.0) \
	$$(pkgconf -cflags libxml-2.0) \
	$$(pkgconf -cflags libqb) \
	-I ../.. -I ../../include -g

PROGRAMS = based

BASED_OBJECTS = based.o

# include or not the modules as you wish
BASED_OBJECTS += based-notifyfenced.o

all: ${PROGRAMS}

based: $(BASED_OBJECTS)
	$(CC) $(BASED_LDFLAGS) $^ -o $@

$(BASED_OBJECTS): %.o: %.c
	$(CC) $(BASED_CPPFLAGS) $(BASED_LDFLAGS) -c $< -o $@

clean:
	rm ${PROGRAMS} $(BASED_OBJECTS)

=== debian/changelog ===
pacemaker (2.0.5-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * [0e95220] Drop superfluous build dependencies
    dctrl-tools: after merging the dev packages check_header_deps was
    dropped in 2.0.1~rc2-2 (7c66cac).
    libesmtp-dev, libsnmp-dev, libsensors-dev: upstream dropped SMTP and
    SNMP support from crm_mon in Pacemaker 2 (1f73748, f24bdc6)
    (Closes: #979368)

 -- Ferenc Wágner <wferi@debian.org>  Fri, 08 Jan 2021 19:47:14 +0100

pacemaker (2.0.5-1) unstable; urgency=medium

  * [b0f97de] New upstream release (2.0.5)
  * [a7725e6] libqb 2 dropped the linker magic injecting start/stop symbols

 -- Ferenc Wágner <wferi@debian.org>  Sat, 26 Dec 2020 18:25:28 +0100

pacemaker (2.0.5~rc3-1) unstable; urgency=medium

  * [6037de8] Add CVE-2020-25654 reference to changelog
  * [8633b12] New upstream pre-release (2.0.5~rc3)
  * [280e76f] Update Standards-Version to 4.5.1 (no changes required)
  * [fa41836] New patch: Always run Inkscape under the C.UTF-8 locale

 -- Ferenc Wágner <wferi@debian.org>  Wed, 18 Nov 2020 22:45:27 +0100

pacemaker (2.0.5~rc2-1) unstable; urgency=medium

  [ Rafael David Tinoco ]
  * [0f1033e] Skip autopkgtest for unprivileged containers: (LP: #1828228)
    + d/t/control: mark pacemaker test as skippable
    + d/t/pacemaker: skip if memlock can't be set to unlimited by root

  [ Ferenc Wágner ]
  * [34f6376] pacemaker-dev should pull in libpacemaker1, too
  * [039f205] The pacemaker-dev transition completed in buster
  * [800ae5e] Clean up remnants of long finished reorganizations
  * [0f0340c] pacemaker-dev in buster replaced its old dependencies from wheezy
  * [6956006] New upstream pre-release (2.0.5~rc2) (Closes: #973254)
    Contains fix for CVE-2020-25654.
  * [6b30c82] Delete upstreamed patch, refresh the rest
  * [8e78417] Tie skipping the autopkgtest to the concrete Corosync error.
    While unlimited memory lock is a good test for privileges, it isn't
    critical for Corosync.  Trigger on a specific error message instead,
    hint at a possible workaround and document the actual requirements.
  * [f184e2c] Update symbols files.
    See 4bcf7eb for the reasoning behind the two renamed symbols which
    weren't obviously internal: crm_config_error and crm_config_warning.
  * [0031784] Pacemaker and pacemaker-remote provide Conflicting functions.
    Breaks without a version was always suspicious to Lintian, and I've got
    no strong opinion on this specific case, so be it.
  * [2a33943] Replace the now-transitional build dep with libncurses-dev
  * [8662ee0] Add missing pkg-config dependencies (Closes: #963791)
  * [912a22b] New autopkgtest for pkg-config completeness
  * [5033800] Upgrade watch file to version 4 (no changes needed)

 -- Ferenc Wágner <wferi@debian.org>  Tue, 10 Nov 2020 23:02:55 +0100

=== debian/control ===
Source: pacemaker
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
Uploaders:
 Ferenc Wágner <wferi@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 cluster-glue-dev,
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
# resource agent man pages are generated via:
 docbook-xsl,
 help2man,
 libbz2-dev,
 libcfg-dev (>= 1.99),
 libcmap-dev (>= 1.99),
 libcpg-dev (>= 1.99),
 libdbus-1-dev,
 libglib2.0-dev,
 libgnutls28-dev,
 libltdl-dev,
 libncurses-dev,
 libpam0g-dev,
 libqb-dev (>= 0.17.1),
 libquorum-dev (>= 1.99),
 libxml2-dev,
 libxml2-utils,
 libxslt1-dev,
 pkg-config,
 python3,
 systemd [linux-any],
 uuid-dev,
# detecting docbook-xsl needs:
 xsltproc,
Build-Depends-Indep:
 asciidoc,
 doxygen,
 graphviz,
 inkscape,
 publican,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://www.clusterlabs.org/
Vcs-Git: https://salsa.debian.org/ha-team/pacemaker.git
Vcs-Browser: https://salsa.debian.org/ha-team/pacemaker
X-Common-Description: At its core, Pacemaker is a distributed finite state
 machine capable of co-ordinating the startup and recovery of inter-related
 services across a set of machines.
 .
 Pacemaker understands many different resource types (OCF, SYSV, systemd) and
 can accurately model the relationships between them (colocation, ordering).
 .
 It can even use technology such as Docker to automatically isolate the
 resources managed by the cluster.

Package: pacemaker-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: cluster resource manager common files
 ${S:X-Common-Description}
 .
 This package contains common infrastructure and data files for the
 Pacemaker daemons and utilities.

Package: pacemaker-resource-agents
Architecture: all
Depends:
# some agents use top:
 procps,
 resource-agents,
 ${misc:Depends},
Description: cluster resource manager general resource agents
 ${S:X-Common-Description}
 .
 This package contains Pacemaker resource agents not requiring access
 to the cluster stack, thus also usable by the remote daemon.

Package: pacemaker
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 corosync (>= 1.99),
 dbus,
# the init script sources /lib/lsb/init-functions:
 lsb-base (>= 3.0-6),
 pacemaker-common,
 pacemaker-resource-agents,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 fence-agents,
 pacemaker-cli-utils,
Suggests:
# the fence_legacy helper uses /usr/sbin/stonith from cluster-glue:
 cluster-glue,
 crmsh | pcs,
Conflicts:
 pacemaker-remote,
Description: cluster resource manager
 ${S:X-Common-Description}
 .
 This package contains the Pacemaker daemons directly interacting with
 the cluster stack.

Package: pacemaker-cli-utils
Architecture: any
Depends:
 pacemaker | pacemaker-remote,
# cibsecret sources ocf-shellfuncs:
 resource-agents,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
# took over cibsecret from cluster-glue:
 cluster-glue (<< 1.0.12-18~),
Replaces:
 cluster-glue (<< 1.0.12-18~),
Description: cluster resource manager command line utilities
 ${S:X-Common-Description}
 .
 This package contains those command line utilities of the Pacemaker
 cluster manager which work on remote nodes as well.

Package: pacemaker-remote
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
# the init script sources /lib/lsb/init-functions:
 lsb-base (>= 3.0-6),
 pacemaker-common,
 pacemaker-resource-agents,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 pacemaker-cli-utils,
Conflicts:
 pacemaker,
Description: cluster resource manager proxy daemon for remote nodes
 ${S:X-Common-Description}
 .
 This package contains the Pacemaker proxy daemon, which simulates cluster
 services on a node not running the cluster stack.  Such "remote" nodes can
 run resources but don't participate in the quorum.  This package is
 mutually exclusive with Pacemaker proper.

Package: pacemaker-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: cluster resource manager HTML documentation
 ${S:X-Common-Description}
 .
 This package contains
  * the Pacemaker API documentation generated by Doxygen,
  * the Clusters from Scratch book,
  * the Pacemaker Administration book,
  * the Pacemaker Development book,
  * the Pacemaker Explained book and
  * the Pacemaker Remote book.

Package: libcib27
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager CIB library
 ${S:X-Common-Description}
 .
 This package contains the Cluster Information Base library.

Package: libcrmcluster29
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager cluster library
 ${S:X-Common-Description}
 .
 This package contains the cluster library.

Package: libcrmcommon34
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager common library
 ${S:X-Common-Description}
 .
 This package contains the common library.

Package: libcrmservice28
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager service library
 ${S:X-Common-Description}
 .
 This package contains the service library.

Package: liblrmd28
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager LRMD library
 ${S:X-Common-Description}
 .
 This package contains the Local Resource Manager Daemon library.

Package: libpacemaker1
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager utility library
 ${S:X-Common-Description}
 .
 This package contains the utility library resulting from the merge
 of libpengine and libtransitioner.

Package: libpe-rules26
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager Policy Engine rules library
 ${S:X-Common-Description}
 .
 This package contains the Policy Engine rules library.

Package: libpe-status28
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager Policy Engine status library
 ${S:X-Common-Description}
 .
 This package contains the Policy Engine status library.

Package: libstonithd26
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: cluster resource manager STONITH daemon library
 ${S:X-Common-Description}
 .
 This package contains the STONITH daemon library.

Package: pacemaker-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 ${misc:Depends},
 libcib27 (= ${binary:Version}),
 libcrmcluster29 (= ${binary:Version}),
 libcrmcommon34 (= ${binary:Version}),
 libcrmservice28 (= ${binary:Version}),
 liblrmd28 (= ${binary:Version}),
 libpacemaker1 (= ${binary:Version}),
 libpe-rules26 (= ${binary:Version}),
 libpe-status28 (= ${binary:Version}),
 libstonithd26 (= ${binary:Version}),
# we include headers from these:
 libcpg-dev,
 libglib2.0-dev,
 libqb-dev,
 libxml2-dev,
# private pkg-config dependencies are only needed for static linking,
# which we don't support, but pkg-config doesn't know this, so:
 libcfg-dev,
 libcmap-dev,
 libdbus-1-dev,
 libgnutls28-dev,
 libncurses-dev,
 libquorum-dev,
 libxslt1-dev,
 uuid-dev,
Description: cluster resource manager development
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the Pacemaker libraries.

=== debian/rules ===
--- 
+++ 
@@ -17,25 +17,6 @@
 	-Npacemaker-remote \
 	-Npacemaker-resource-agents
 endif
-
-# https://bugs.launchpad.net/bugs/1915828
-#
-# Programs using libqb logging exit due to failed assertion on qb log init.
-#
-# The libqb docs do contain two suggestions to possibly work around this bug,
-# specifically using either -l:libqb.so.0 or -DQB_KILL_ATTRIBUTE_SECTION, or
-# both. Either or both approaches do help with the simple test case, but more
-# testing is needed that actually exercises the log functionality to make sure
-# nothing else breaks.
-CFLAGS = -DQB_KILL_ATTRIBUTE_SECTION
-
-# ftime causes deprecation errors now, but the clock_gettime replacement is
-# disabled by default in 2.0.3. Enable it.
-CPPFLAGS = -UPCMK_TIME_EMERGENCY_CGT
-
-# Fix gcc10 warnings as errors while upstream doesn't catch up
-export DEB_CFLAGS_PREPEND=-Wno-error=format-overflow=
-export DEB_CXXFLAGS_PREPEND=${DEB_CFLAGS_PREPEND}
 
 %:
 	dh $@ --with python3 $(UBUNTU_EXCLUDES)

=== debian/watch ===
version=4

opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
  https://github.com/ClusterLabs/pacemaker/releases .*/Pacemaker-(\d\S*)\.tar\.gz

## pacemaker 2.1.1

=== debian/changelog ===
pacemaker (2.1.1-2) unstable; urgency=medium

  * [3f13edc] Move python3-sphinx into Build-Depends because we always load the
    sphinxdoc dh addon

 -- Ferenc Wágner <wferi@debian.org>  Tue, 26 Oct 2021 16:06:03 +0200

pacemaker (2.1.1-1) unstable; urgency=medium

  * [50d06e9] New upstream release (2.1.1) (Closes: #997295)
  * [50e341f] Refresh our patches
  * [1762b8b] Pacemaker 2.1.0 already installs the default file itself
  * [8a161be] Pacemaker 2.1.0 generates its documentation with Sphinx
  * [5205498] Employ dh_sphinxdoc to fix up the packaged documentation
  * [8294103] autogen.sh does more than autoreconf -f -i now
  * [808de7c] We can't use the -z defs linker option anymore
  * [7ea9dcf] Pacemaker 2.1.0 dropped the obsolete and broken pingd resource
    agent
  * [7c46052] Ship /etc/default/crm_mon
  * [39e7687] Force dh_install to work with the installed files
  * [a4c3b58] Update symbols files (all removed symbols were documented
    internal)
  * [b4e5212] Upgrade Standards-Version to 4.6.0 (no changes required)
  * [62d2e6f] Follow the Pacemaker init script with the copyright file
  * [e197ba4] Untabify the copyright file
  * [d9662f6] New patch: Fix OCF_RA_PATH Autoconf variable name in pkg-config
    files

 -- Ferenc Wágner <wferi@debian.org>  Mon, 25 Oct 2021 12:29:49 +0200

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,8 @@
  libxslt1-dev,
  pkg-config,
  python3,
+# not in Build-Depends-Indep because we always load the sphinxdoc dh addon:
+ python3-sphinx,
  systemd [linux-any],
  uuid-dev,
 # detecting docbook-xsl needs:
@@ -39,9 +41,8 @@
  doxygen,
  graphviz,
  inkscape,
- publican,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.clusterlabs.org/
 Vcs-Git: https://salsa.debian.org/ha-team/pacemaker.git
 Vcs-Browser: https://salsa.debian.org/ha-team/pacemaker
@@ -156,6 +157,7 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: cluster resource manager HTML documentation
  ${S:X-Common-Description}
  .

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,11 @@
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-# Ensure that we link against all needed libraries (cf. Policy 10.2)
-# This needs adding libraries to libpengine_la_LIBADD
+# We can't ensure that we link against all needed libraries (cf. Policy 10.2),
+# because libpe_status uses get_object_root from libcib and libcib uses
+# symbols from libpe_rules, which is built in the same subdir.
 # Not upstreamed, see https://github.com/ClusterLabs/pacemaker/pull/800
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs
+#export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs
 
 # Ubuntu/i386 shrank into a compatibility layer not carrying the
 # dependencies of some of our binary packages (#948379):
@@ -19,14 +20,16 @@
 endif
 
 %:
-	dh $@ --with python3 $(UBUNTU_EXCLUDES)
+	dh $@ --with python3,sphinxdoc $(UBUNTU_EXCLUDES)
+
+override_dh_autoreconf:
+	dh_autoreconf ./autogen.sh
 
 # Explicit BASH_PATH makes build reproducible on merged-usr vs non-merged:
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static \
 		BASH_PATH=/bin/bash \
 		PYTHON=/usr/bin/python3 \
-		--with-brand=clusterlabs \
 		--with-cibsecrets \
 		--with-configdir=/etc/default \
 		--libexecdir=/usr/lib

## pacemaker 2.1.2

=== debian/changelog ===
pacemaker (2.1.2-1ubuntu3.1) jammy; urgency=medium

  * d/p/jammy-avoid-double-free-during-notify-operation.patch:
    Fix a regression introduced by 31c7fa8, causing a double-free in
    notify operations (LP: #2012740)

 -- Michal Maloszewski <michal.maloszewski@canonical.com>  Fri, 31 Mar 2023 20:55:24 +0200

pacemaker (2.1.2-1ubuntu3) jammy; urgency=medium

  * d/control: make pacemaker-cli-utils depend on resource-agents-base.
    resource-agents is now a transitional package and it should not be in
    main (it also pulls in resource-agents-extra which should be in
    universe).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 30 Mar 2022 11:32:14 -0300

pacemaker (2.1.2-1ubuntu2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:16:58 +0000

pacemaker (2.1.2-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946885). Remaining changes:
    - Make crmsh the default management tool for now (LP #1862947)
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on resource-agents-base.
      And also suggest resource-agents-extra with non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node name.
      Previously the default node name was hardcoded in the config file as
      node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
  * Dropped:
    - d/rules: Forcibly switch from ftime to clock_gettime, since building
      with ftime now results in deprecation errors
      [in 2.1.2 by upstream]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 02 Dec 2021 15:41:12 -0300

pacemaker (2.1.2-1) unstable; urgency=medium

  * [eeac038] New upstream release (2.1.2)
  * [778f02f] Drop upstreamed patch, refresh the rest
  * [183c1cf] Ship the init scripts from the build tree
  * [370b42b] Ship the fence_watchdog agent
  * [c967f7f] Update symbols files (all removed symbols were internal)
  * [7b76a3a] Use the provided ${sphinxdoc:Built-Using}

 -- Ferenc Wágner <wferi@debian.org>  Sat, 27 Nov 2021 17:50:32 +0100

pacemaker (2.0.5-2ubuntu3) impish; urgency=medium

  * d/t/pacemaker: corosync uses uname -n to define the default node name.
    Previously the default node name was hardcoded in the config file as
    node1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 23 Jun 2021 09:17:38 -0300

pacemaker (2.0.5-2ubuntu2) impish; urgency=medium

  * Adjust dependency relations with the {fence,resource}-agents packages. The
    following changes were applied in debian/control:
    - Make pacemaker binary recommend fence-agents-base.
    - Make pacemaker-resource-agents depend on resource-agents-base.
      Also suggest resource-agents-extra with non-curated agents.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 05 May 2021 17:04:36 -0300

pacemaker (2.0.5-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Demote fence-agents to Suggests, avoiding main inclusion.
    - Make crmsh the default management tool for now (LP #1862947)
    - d/rules: Forcibly switch from ftime to clock_gettime, since building
      with ftime now results in deprecation errors
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
  * Dropped:
    - Skip autopkgtest for unprivileged containers: (LP #1828228)
      + d/t/control: mark pacemaker test as skippable
      + d/t/pacemaker: skip if memlock can't be set to unlimited by root
      [fixed in Debian]
    - Post 2.0.04 release fixes backported to Ubuntu (LP #1895883)
      debian/patches/ubuntu/lp1895883-*:
      + [055d7e4e] Low: libcib: Fix building if the gnutls library is not
      + [67174c53] Build: configure: Conditionalize check for $PYTHON.
      + [47c3e06b] Fix: libpacemaker: Don't allow a potential NULL in a format
      + [ea7469cb] Low: resources: don't check host-specific conditions in
      + [7056ae08] Fix: libcrmcommon: Set out->priv to NULL in free_priv.
      + [37791529] Fix: libcrmcommon: Make reset and finish work more similarly.
      + [b655c039] Fix: tools: Add the http-equiv header to crm_mon at the right
      + [0f8e4ca5] Fix: tools, libcrmcommon: Reopen the output dest on reset.
      + [24dd01c3] Fix: cts: Use a different grep in building the cts-cli
      + [36cf9284] Fix: cts: Use --node instead of --host as crm_resource
      + [5c111adf] Fix: libpe_status: Destroy hash table after use
      + [dc341923] cluster: Close corosync handles when they disconnect
      + [3a88b2b6] Refactor: tools: rename function in cibsecret to be more
      [applied by upstream]
    - Post 2.0.4 features: on-fail=demote & no-quorum-policy=demote
      (LP #1896223). Added debian/patches/ubuntu/lp1896223-*:
      + [c4429d86e] Log: scheduler: downgrade "active on" messages to trace
      + [01c5ec67e] Low: scheduler: match initial no-quorum-policy struct value
      + [015b5c012] Doc: Pacemaker Explained: document no-quorum-policy=demote
      + [5d809e136] Test: scheduler: add regression test
      + [b1ae35938] Feature: scheduler: support "demote" choice
      + [0b6834453] Refactor: scheduler: functionize checking quorum policy
      + [d4b9117e7] Doc: Pacemaker Explained: correct on-fail default
      + [204961e95] Doc: Pacemaker Explained: document new on-fail="demote"
      + [d29433ea5] Test: scheduler: add regression tests for on-fail="demote"
      + [874f75e0f] Feature: scheduler: new on-fail="demote" recovery policy
      + [2f1e2df1f] Feature: xml: add on-fail="demote" option to resources
      + [fd55a6660] Doc: libpacemaker: improve comments for resource state
      + [98c3b649f] Log: libpacemaker: check for re-promotes specifically
      + [ff6aebecf] Doc: libpacemaker: improve comments when logging actions


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pacemaker
 Section: admin
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders:
  Ferenc Wágner <wferi@debian.org>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
@@ -72,8 +73,10 @@
 Depends:
 # some agents use top:
  procps,
- resource-agents,
- ${misc:Depends},
+ resource-agents-base,
+ ${misc:Depends},
+Suggests:
+ resource-agents-extra
 Description: cluster resource manager general resource agents
  ${S:X-Common-Description}
  .
@@ -86,6 +89,7 @@
  ${misc:Pre-Depends},
 Depends:
  corosync (>= 1.99),
+ crmsh,
  dbus,
 # the init script sources /lib/lsb/init-functions:
  lsb-base (>= 3.0-6),
@@ -95,12 +99,13 @@
  ${python3:Depends},
  ${shlibs:Depends},
 Recommends:
- fence-agents,
+ fence-agents-base,
  pacemaker-cli-utils,
 Suggests:
 # the fence_legacy helper uses /usr/sbin/stonith from cluster-glue:
  cluster-glue,
- crmsh | pcs,
+ pcs,
+ fence-agents-extra,
 Conflicts:
  pacemaker-remote,
 Description: cluster resource manager
@@ -114,7 +119,7 @@
 Depends:
  pacemaker | pacemaker-remote,
 # cibsecret sources ocf-shellfuncs:
- resource-agents,
+ resource-agents-base,
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
@@ -158,6 +163,8 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Description: cluster resource manager HTML documentation
  ${S:X-Common-Description}
  .

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,10 @@
 	-Npacemaker-remote \
 	-Npacemaker-resource-agents
 endif
+
+# Fix gcc10 warnings as errors while upstream doesn't catch up
+export DEB_CFLAGS_PREPEND=-Wno-error=format-overflow=
+export DEB_CXXFLAGS_PREPEND=${DEB_CFLAGS_PREPEND}
 
 %:
 	dh $@ --with python3,sphinxdoc $(UBUNTU_EXCLUDES)
@@ -50,13 +54,16 @@
 		debian/tmp/usr/share/doc/pacemaker/COPYING \
 		debian/tmp/usr/share/doc/pacemaker/README.markdown \
 		debian/tmp/usr/share/doc/pacemaker/licenses
+	# The init scripts aren't installed since 2.1.2 (ac768052) when using systemd:
+	install -d debian/tmp/etc/init.d
+	install -t debian/tmp/etc/init.d etc/init.d/pacemaker daemons/execd/pacemaker_remote
 	dh_install
 
 override_dh_installdocs:
 	dh_installdocs -A README.markdown
 
 override_dh_installinit:
-# Upstream ships the pacemaker and pacemaker-remote init files,
+# Upstream provides pacemaker and pacemaker-remote init files,
 # so we have to force the maintainer script modifications
 	dh_installinit --onlyscripts --no-restart-after-upgrade -p pacemaker
 	dh_installinit --onlyscripts --no-restart-after-upgrade -p pacemaker-remote --name=pacemaker_remote

## pacemaker 2.1.4

=== debian/changelog ===
pacemaker (2.1.4-2ubuntu2) lunar; urgency=medium

  * d/control: depend on pcs and suggest crmsh (LP: #2011481).
    Pull pcs into main instead of crmsh.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 13 Mar 2023 18:13:36 -0300

pacemaker (2.1.4-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971307). Remaining changes:
    - Make crmsh the default management tool for now (LP #1862947)
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on resource-agents-base.
      And also suggest resource-agents-extra with non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node name.
      Previously the default node name was hardcoded in the config file as
      node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
    - d/control: make pacemaker-cli-utils depend on resource-agents-base.
      resource-agents is now a transitional package and it should not be in
      main (it also pulls in resource-agents-extra which should be in
      universe).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 03 Aug 2022 15:53:10 -0300

pacemaker (2.1.4-2) unstable; urgency=medium

  * [e95d387] New patch: strings.c: don't rely on strcmp() returning one-byte
    values
  * [220a320] Switch to declarative dh addons to help cross building and reduce
    repetition

 -- Ferenc Wágner <wferi@debian.org>  Thu, 21 Jul 2022 23:20:11 +0200

pacemaker (2.1.4-1) unstable; urgency=medium

  * [d438568] New upstream release (2.1.4)
  * [2209cff] Drop upstreamed patch, refresh the rest
  * [e998d4f] Update symbols files (all removed symbols were internal)
  * [7bb33d2] Unit tests behave sanely now, so enable them
  * [66c4a13] Update Standards-Version to 4.6.1 (no changes required)
  * [da83f59] Switch to Debhelper compatibility level 13
  * [80f96ac] Handle not-installed files declaratively
  * [f0668c5] Ship Doxygen output explicitly and declaratively
  * [7f6b9f9] Ship init scripts straight from the build tree
  * [5d56cf9] Upstream now properly cleans up after building the documentation.
    This effectively reverts 7443ebc66e285801da9160854ff3fed0be423632,
    because upstream commit 6af89fe48a776b0c26451d780b5234ea9c586773 made
    it unnecessary.
  * [58e1598] Link against all needed libraries.
    Revert 808de7cc4952bceb71c158d6fd09157646ce11b1, because the upstream
    code reorganization ending in ca25b4e9a49e8153b4d0ac15eddcf6a45b212269
    removed the obstacle.
    https://bugs.clusterlabs.org/show_bug.cgi?id=5488
  * [6f827b3] Move crm_attribute into the pacemaker-cli-utils package.
    Mirror upstream commit 57ce5b5eb0754c19e827f1c915d9355ad0727444 (it no
    longer uses libcrmcluster).
  * [ef179c8] Recommend pacemaker-cli-utils from pacemaker-resource-agents.
    Because the ClusterMon and Stateful agents use crm_mon/crm_attribute
    respectively.
  * [c046399] New patch: Fix typos: resouce -> resource

 -- Ferenc Wágner <wferi@debian.org>  Sun, 03 Jul 2022 16:03:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,8 @@
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
  cluster-glue-dev,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-exec,
- dh-python,
 # resource agent man pages are generated via:
  docbook-xsl,
  help2man,
@@ -18,6 +17,8 @@
  libcfg-dev (>= 1.99),
  libcmap-dev (>= 1.99),
  libcpg-dev (>= 1.99),
+# for unit tests:
+ libcmocka-dev,
  libdbus-1-dev,
  libglib2.0-dev,
  libgnutls28-dev,
@@ -30,20 +31,20 @@
  libxml2-utils,
  libxslt1-dev,
  pkg-config,
- python3,
-# not in Build-Depends-Indep because we always load the sphinxdoc dh addon:
- python3-sphinx,
+ dh-sequence-python3,
  systemd [linux-any],
  uuid-dev,
 # detecting docbook-xsl needs:
  xsltproc,
 Build-Depends-Indep:
  asciidoc,
+ dh-sequence-sphinxdoc,
  doxygen,
  graphviz,
  inkscape,
+ python3-sphinx,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.clusterlabs.org/
 Vcs-Git: https://salsa.debian.org/ha-team/pacemaker.git
 Vcs-Browser: https://salsa.debian.org/ha-team/pacemaker
@@ -75,6 +76,9 @@
  procps,
  resource-agents-base,
  ${misc:Depends},
+Recommends:
+# the ClusterMon and Stateful agents use crm_* utilities:
+ pacemaker-cli-utils,
 Suggests:
  resource-agents-extra
 Description: cluster resource manager general resource agents
@@ -89,7 +93,7 @@
  ${misc:Pre-Depends},
 Depends:
  corosync (>= 1.99),
- crmsh,
+ pcs,
  dbus,
 # the init script sources /lib/lsb/init-functions:
  lsb-base (>= 3.0-6),
@@ -104,7 +108,7 @@
 Suggests:
 # the fence_legacy helper uses /usr/sbin/stonith from cluster-glue:
  cluster-glue,
- pcs,
+ crmsh,
  fence-agents-extra,
 Conflicts:
  pacemaker-remote,
@@ -125,8 +129,11 @@
 Breaks:
 # took over cibsecret from cluster-glue:
  cluster-glue (<< 1.0.12-18~),
+# took over crm_attribute:
+ pacemaker (<< 2.1.4-1~),
 Replaces:
  cluster-glue (<< 1.0.12-18~),
+ pacemaker (<< 2.1.4-1~),
 Description: cluster resource manager command line utilities
  ${S:X-Common-Description}
  .

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Link against all needed libraries (cf. Policy 10.2)
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs

# Ubuntu/i386 shrank into a compatibility layer not carrying the
# dependencies of some of our binary packages (#948379):
ifeq ($(shell dpkg-vendor --query vendor)/$(DEB_HOST_ARCH), Ubuntu/i386)
    UBUNTU_EXCLUDES = \
	-Npacemaker \
	-Npacemaker-cli-utils \
	-Npacemaker-remote \
	-Npacemaker-resource-agents
endif

# Fix gcc10 warnings as errors while upstream doesn't catch up
export DEB_CFLAGS_PREPEND=-Wno-error=format-overflow=
export DEB_CXXFLAGS_PREPEND=${DEB_CFLAGS_PREPEND}

%:
	dh $@ $(UBUNTU_EXCLUDES)

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

# Explicit BASH_PATH makes build reproducible on merged-usr vs non-merged:
override_dh_auto_configure:
	dh_auto_configure -- --disable-static \
		BASH_PATH=/bin/bash \
		PYTHON=/usr/bin/python3 \
		--with-cibsecrets \
		--with-configdir=/etc/default \
		--libexecdir=/usr/lib
# because the daemon executables and Nagios plugins don't need multiarch paths

override_dh_auto_build-indep:
	dh_auto_build
	$(MAKE) -C doc doxygen

override_dh_installdocs:
	dh_installdocs -A README.markdown

override_dh_installinit:
# Upstream provides pacemaker and pacemaker-remote init files,
# we dh_install them and force the maintainer script modifications here:
	dh_installinit --onlyscripts --no-restart-after-upgrade -p pacemaker
	dh_installinit --onlyscripts --no-restart-after-upgrade -p pacemaker-remote --name=pacemaker_remote

override_dh_installsystemd:
	dh_installsystemd --no-restart-after-upgrade

## pacemaker 2.1.5

=== debian/changelog ===
pacemaker (2.1.5-1+deb12u1) bookworm; urgency=medium

  * [0c22be8] New patches fixing migration regression.
    Backport of https://github.com/ClusterLabs/pacemaker/pull/3020/ to
    Pacemaker 2.1.5 (without the CTS changes, which we don't ship):
    5754a2af9 Refactor: scheduler: improve xpath efficiency when unpacking
    3f6f524f1 Low: scheduler: unknown_on_node() should ignore pending actions
    ad9fd9548 Fix: scheduler: handle cleaned migrate_from history correctly
    The starting refactor is required by the other two patches, but the
    third patch still needed backporting.
    Thanks to Ken Gaillot (Closes: #1040165)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 09 Jul 2023 23:10:45 +0200

pacemaker (2.1.5-1) unstable; urgency=medium

  * [5792d59] Work around lazy loading of GitHub release pages in watch file
  * [52462d8] New upstream release (2.1.5)
  * [06b5497] Delete upstreamed patch, refresh the rest
  * [9829fc0] Update Standards-Version to 4.6.2 (no changes required)
  * [7768ecb] Add debian/upstream/metadata
  * [629aab5] Update debian/copyright.
    Update the years, indicate LGPL of *.po files and give up on
    enumerating all contributors.
  * [9b7d008] The SystemHealth resource agent was dropped upstream.
    See commit 8e0512e: it was non-functional anyway.
  * [c905af5] Update symbols files (all removed symbols were internal)
  * [b0a5c7b] pacemaker-cli-utils.NEWS was six years old, nothing new
  * [a255a3e] Reduce Lintian noise
  * [7a70bd7] Drop the obsolete lsb-base dependency
    sysvinit-utils_3.05-1 took over /lib/lsb/init-functions from lsb-base,
    which became an empty transitional package.  Sysvinit-utils is
    essential now, so we needn't depend on it explicitly, but if that ever
    changes (see #851747) the sysvinit-core package will still depend on
    it, providing the function library to our init scripts if they have a
    real chance to execute.  (The compatibility layer of systemd won't try
    to use the init scripts, because we provide native systemd units.)
    This change is unsuitable for bullseye backports.

 -- Ferenc Wágner <wferi@debian.org>  Sun, 22 Jan 2023 16:38:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pacemaker
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders:
  Ferenc Wágner <wferi@debian.org>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
@@ -44,7 +43,7 @@
  inkscape,
  python3-sphinx,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.clusterlabs.org/
 Vcs-Git: https://salsa.debian.org/ha-team/pacemaker.git
 Vcs-Browser: https://salsa.debian.org/ha-team/pacemaker
@@ -74,13 +73,11 @@
 Depends:
 # some agents use top:
  procps,
- resource-agents-base,
+ resource-agents,
  ${misc:Depends},
 Recommends:
 # the ClusterMon and Stateful agents use crm_* utilities:
  pacemaker-cli-utils,
-Suggests:
- resource-agents-extra
 Description: cluster resource manager general resource agents
  ${S:X-Common-Description}
  .
@@ -93,23 +90,19 @@
  ${misc:Pre-Depends},
 Depends:
  corosync (>= 1.99),
- pcs,
  dbus,
-# the init script sources /lib/lsb/init-functions:
- lsb-base (>= 3.0-6),
  pacemaker-common,
  pacemaker-resource-agents,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
 Recommends:
- fence-agents-base,
+ fence-agents,
  pacemaker-cli-utils,
 Suggests:
 # the fence_legacy helper uses /usr/sbin/stonith from cluster-glue:
  cluster-glue,
- crmsh,
- fence-agents-extra,
+ crmsh | pcs,
 Conflicts:
  pacemaker-remote,
 Description: cluster resource manager
@@ -123,7 +116,7 @@
 Depends:
  pacemaker | pacemaker-remote,
 # cibsecret sources ocf-shellfuncs:
- resource-agents-base,
+ resource-agents,
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
@@ -145,8 +138,6 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
-# the init script sources /lib/lsb/init-functions:
- lsb-base (>= 3.0-6),
  pacemaker-common,
  pacemaker-resource-agents,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,6 @@
 	-Npacemaker-remote \
 	-Npacemaker-resource-agents
 endif
-
-# Fix gcc10 warnings as errors while upstream doesn't catch up
-export DEB_CFLAGS_PREPEND=-Wno-error=format-overflow=
-export DEB_CXXFLAGS_PREPEND=${DEB_CFLAGS_PREPEND}
 
 %:
 	dh $@ $(UBUNTU_EXCLUDES)

=== debian/tests/control ===
Tests: pacemaker
Depends: pacemaker, pacemaker-cli-utils
Restrictions: needs-root, isolation-container, skippable

Tests: pkg-config
Depends: pacemaker-dev, pkg-config
Restrictions: superficial
